Bug 1224655 - Overcloud: Overcloud deployment failed on bare metal. Heat stack-list shows that stack creation complete.
Summary: Overcloud: Overcloud deployment failed on bare metal. Heat stack-list shows t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: Director
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Director
Assignee: Jay Dobies
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-25 09:06 UTC by Leonid Natapov
Modified: 2015-08-05 13:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:51:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Leonid Natapov 2015-05-25 09:06:56 UTC
[stack@puma42 ~]$ rpm -qa | grep triple
openstack-tripleo-0.0.6-dev1717.el7.centos.noarch
openstack-tripleo-heat-templates-0.8.6-dev5.el7.centos.noarch
openstack-tripleo-puppet-elements-0.0.1-dev63.el7.centos.noarch
tripleo-common-0.0.0-post4.el7.centos.noarch
openstack-tripleo-image-elements-0.9.5-post1.el7.centos.noarch



Overcloud: Overcloud deployment failed. heat stack-list shows that stack creation complete.


Overcloud deployment failed with the following error:
---------------------------------------------------------
+ NETWORK_CIDR=10.0.0.0/8
+ FLOATING_IP_START=192.168.0.45
+ FLOATING_IP_END=192.168.0.64
+ FLOATING_IP_CIDR=192.168.0.0/16
+ OVERCLOUD_NAMESERVER=8.8.8.8
+ BM_NETWORK_GATEWAY=192.168.0.1
++ mktemp
+ NETWORK_JSON=/tmp/tmp.WIXVvmPVL1
+ jq .
+ setup-neutron -n /tmp/tmp.WIXVvmPVL1
/usr/lib/python2.7/site-packages/novaclient/v1_1/__init__.py:30: UserWarning: Module novaclient.v1_1 is deprecated (taken as a basis for novaclient.v2). The preferable way to get client class or object you can find in novaclient.client module.
  warnings.warn("Module novaclient.v1_1 is deprecated (taken as a basis for "
2015-05-19 17:45:42 - root - ERROR - Unexpected error during command execution
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/os_cloud_config/cmd/setup_neutron.py", line 77, in main
    keystone_client=keystone_client)
  File "/usr/lib/python2.7/site-packages/os_cloud_config/neutron.py", line 46, in initialize_neutron
    net = _create_net(neutron_client, network_desc, network_type, admin_tenant)
  File "/usr/lib/python2.7/site-packages/os_cloud_config/neutron.py", line 95, in _create_net
    return neutron.create_network({'network': network})
  File "/usr/lib/python2.7/site-packages/neutronclient/v2_0/client.py", line 99, in with_params
    ret = self.function(instance, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/neutronclient/v2_0/client.py", line 534, in create_network
    return self.post(self.networks_path, body=body)
  File "/usr/lib/python2.7/site-packages/neutronclient/v2_0/client.py", line 295, in post
    headers=headers, params=params)
  File "/usr/lib/python2.7/site-packages/neutronclient/v2_0/client.py", line 197, in do_request
    content_type=self.content_type())
  File "/usr/lib/python2.7/site-packages/neutronclient/client.py", line 172, in do_request
    **kwargs)
  File "/usr/lib/python2.7/site-packages/neutronclient/client.py", line 108, in _cs_request
    raise exceptions.ConnectionFailed(reason=e)
ConnectionFailed: Connection to neutron failed: ('Connection aborted.', BadStatusLine("''",))
[stack@puma42 ~]$ 


heat stack-list shows that stack creation complete:

+--------------------------------------+------------+-----------------+----------------------+
| id                                   | stack_name | stack_status    | creation_time        |
+--------------------------------------+------------+-----------------+----------------------+
| 4e037efd-9e18-4d8b-92d5-83698c9d9820 | overcloud  | CREATE_COMPLETE | 2015-05-19T14:31:41Z |
+--------------------------------------+------------+-----------------+----------------------+

Comment 4 Leonid Natapov 2015-05-25 09:15:09 UTC
Once again ,I am working with bare metal machines. Was deploying Neutron VXLAN. 1 controller +1 compute.

Comment 5 chris alfonso 2015-06-15 19:50:00 UTC
This looks like an old issue. Please retest.

Comment 8 Ofer Blaut 2015-06-25 11:37:20 UTC
[stack@puma42 ~]$ rpm -qa | grep triple
openstack-tripleo-common-0.0.1.dev6-0.git49b57eb.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-15.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.1-2.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch
openstack-tripleo-image-elements-0.9.6-1.el7ost.noarch
[stack@puma42 ~]$ 
[stack@puma42 ~]$ 
[stack@puma42 ~]$ heat stack-list
+--------------------------------------+------------+-----------------+----------------------+
| id                                   | stack_name | stack_status    | creation_time        |
+--------------------------------------+------------+-----------------+----------------------+
| b48e7b96-be8c-4ad5-8831-a6190e125b87 | overcloud  | CREATE_COMPLETE | 2015-06-25T11:09:26Z |
+--------------------------------------+------------+-----------------+----------------------+

Comment 10 errata-xmlrpc 2015-08-05 13:51:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.